Bug 428184 - Need EAP-FAST (RFC 4851) support
Summary: Need EAP-FAST (RFC 4851) support
Status: CLOSED UPSTREAM
Alias: None
Product: Fedora
Classification: Fedora
Component: openssl   
(Show other bugs)
Version: 8
Hardware: All Linux
low
low
Target Milestone: ---
Assignee: Tomas Mraz
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On: 428181
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-01-09 20:28 UTC by Dan Williams
Modified: 2008-10-22 09:03 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-10-22 09:03:31 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Dan Williams 2008-01-09 20:28:53 UTC
+++ This bug was initially created as a clone of Bug #428181 +++

I can't enable EAP-FAST support in wpa_supplicant (which is needed for
NetworkManager to support EAP-FAST) unless we apply Jouni's OpenSSL patch.  It's
been around for quite a while but upstream never seems to comment on it.  The
upstream openssl issue is:

http://rt.openssl.org/index.html?q=1574

There's a patch in wpa_supplicant git that applies to openssl 0.9.8 too,
attached here.  Thoughts?

-- Additional comment from dcbw@redhat.com on 2008-01-09 15:26 EST --
Created an attachment (id=291197)
Patch exposing functionality that wpa_supplicant needs for EAP-FAST

Comment 1 Bill Nottingham 2008-10-09 20:28:35 UTC
... is there a reason to keep this open, given upstream status?

Comment 2 Tomas Mraz 2008-10-22 09:03:31 UTC
Must be fixed upstream first.


Note You need to log in before you can comment on or make changes to this bug.